
function initGaodeMap(){map=new AMap.Map('map_container',{zoom:13,viewMode:'3D'});marker=new AMap.Marker({map:map,position:[116.397428,39.90923]});driving=new AMap.Driving({map:map,panel:"navigation_info"});}
function initBaiduMap(){map=new BMap.Map("map_container");map.centerAndZoom(new BMap.Point(116.404,39.915),13);map.enableScrollWheelZoom();marker=new BMap.Marker(new BMap.Point(116.404,39.915));map.addOverlay(marker);driving=new BMap.DrivingRoute(map,{renderOptions:{map:map,panel:"navigation_info",autoViewport:true}});}
function initGPS(){updateGPSLocation();setInterval(updateGPSLocation,5000);}
function updateGPSLocation(){fetch('/cgi-bin/luci/admin/services/navigator/get_gps').then(response=>response.json()).then(data=>{if(data&&data.latitude&&data.longitude){updateMarkerPosition(data.latitude,data.longitude);}}).catch(error=>console.error('Error fetching GPS data:',error));}
function startNavigation(){const start=document.getElementById('start_point').value;const end=document.getElementById('end_point').value;if(!start||!end){alert('Please enter both start and end points');return;}
if(mapProvider==='gaode'){driving.search([start,end]);}else if(mapProvider==='baidu'){driving.search(start,end);}}
function clearRoute(){if(mapProvider==='gaode'){driving.clear();}else if(mapProvider==='baidu'){map.clearOverlays();map.addOverlay(marker);}
document.getElementById('navigation_info').innerHTML='';}
function updateMarkerPosition(lat,lng){if(mapProvider==='gaode'){marker.setPosition([lng,lat]);map.setCenter([lng,lat]);}else if(mapProvider==='baidu'){const point=new BMap.Point(lng,lat);marker.setPosition(point);map.panTo(point);}}