
function updateWeather(data){if(!data)return;const currentWeather=document.getElementById('current_weather');const forecast=document.getElementById('weather_forecast');currentWeather.innerHTML=`
        <div class="weather-item">
            <h4>${data.current.location}</h4>
            <p>Temperature: ${data.current.temperature}°C</p>
            <p>Weather: ${data.current.condition}</p>
            <p>Humidity: ${data.current.humidity}%</p>
            <p>Wind: ${data.current.wind_speed} km/h ${data.current.wind_direction}</p>
        </div>
    `;if(data.forecast&&Array.isArray(data.forecast)){forecast.innerHTML=data.forecast.map(day=>`
            <div class="forecast-item">
                <h4>${day.date}</h4>
                <p>High: ${day.high}°C</p>
                <p>Low: ${day.low}°C</p>
                <p>${day.condition}</p>
            </div>
        `).join('');}}
function updateTraffic(data){if(!data)return;const trafficInfo=document.getElementById('traffic_info');trafficInfo.innerHTML=`
        <div class="traffic-status">
            <h4>Current Traffic Status</h4>
            <p>Congestion Level: ${data.congestion_level}</p>
            <p>Average Speed: ${data.average_speed} km/h</p>
            ${data.incidents ? `<p>Incidents:${data.incidents}</p>` : ''}
        </div>
    `;updateTrafficMap(data);}
function updateTrafficMap(data){if(mapProvider==='gaode'){if(!trafficLayer){trafficLayer=new AMap.TileLayer.Traffic({zIndex:10});map.add(trafficLayer);}}else if(mapProvider==='baidu'){if(!trafficLayer){trafficLayer=new BMap.TrafficLayer();map.addTileLayer(trafficLayer);}}}
function formatDate(date){const options={weekday:'short',month:'short',day:'numeric'};return new Date(date).toLocaleDateString(undefined,options);}
function formatTime(time){return new Date(time).toLocaleTimeString(undefined,{hour:'2-digit',minute:'2-digit'});}